# No SOURCE spec-file
#
#
%define oname ghostery
%define mozillalibdir %{_libdir}/%{oname}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Ghostery web browser
Name:		ghostery-private-browser
Version:	2024.03
Release:	%mkrel 1
License:	MPLv1+
Group:	Networking/WWW
URL:		https://github.com/ghostery/user-agent-desktop/releases
Source3:	%{oname}.png
Source4:	%{oname}.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
The Ghostery Desktop Browser is a minimal fork of Firefox optimised for privacy. The main extra features are:

    The Ghostery Privacy Blocker extension is included and enabled by default.
    Ghostery privacy search included.
    Firefox settings (telemetry etc) tuned for maximum privacy.


%prep
#Here we go!
cd %_builddir
wget -nc https://github.com/ghostery/user-agent-desktop/releases/download/2024-03-06/Ghostery-%{version}.en-US.linux.tar.gz
tar -xf Ghostery-%{version}.en-US.linux.tar.gz

%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r Ghostery/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/Ghostery %{buildroot}%{_bindir}/ghostery

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{oname}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{oname}.png


%post
%update_menus
update-desktop-database &> /dev/null ||:

%postun
%clean_menus
update-desktop-database &> /dev/null ||:''

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{oname}
%{_libdir}/%{oname}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Thu Mar 07 2024 tex - 2024.03-1pclos2024
- new version

* Mon Oct 30 2023 tex - 2023.10-1pclos2023
- new version

* Fri  Sep 29 2023 tex- 2023.09-1pclos2023
- new version

